## language-selector 0.1

=== data/Makefile ===

all: countries.h languages.h language-selector.desktop

countries.h: countries
	awk '{FS=":"; if ($$1 != "#" && $$4 != "") print "const char *s=_(\""$$4"\");"; }' $<  > $@


languages.h: languages
	awk '{FS=":"; if ($$1 != "#" && $$2 != "") print "const char *s=_(\""$$2"\");"; }' $< > $@

language-selector.desktop: language-selector.desktop.in ../po/language-selector.pot
	intltool-merge -d ../po $< $@

=== debian/changelog ===
language-selector (0.1) breezy; urgency=low

  * data/language-selector.desktop.in:
    - updated desktop file translations
  * LanguageSelector/LanguageSelector.py:
    - queue a reload of gdm so that on the next login the newly installed
      languages are usable (ubuntu #16678)
  * gnome-language-selector:
    - use explicit python2.4 path

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  7 Oct 2005 14:25:43 +0200

language-selector (0.0+baz20050927) breezy; urgency=low

  * added po/get-iso-codes-i18n script that merges the languages/country
    translations from the iso-codes package
  * added README.i18n for the translators

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 27 Sep 2005 18:21:45 +0200

language-selector (0.0+baz20050926) breezy; urgency=low

  * LanguageSelector/LanguageSelector.py:
    - get/check the global packagemanager lock
  * data/countries:
    - fix a Taiwan entry (ubuntu #16314)
  * set the apply button to insensitive if no language is selected
    or no changes to the system default are made (ubuntu #16270)
  * changed the string when the language changes have been applied
    to something more english (Ubuntu #15419)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 23 Sep 2005 16:21:49 +0200

language-selector (0.0+baz20050912) breezy; urgency=low

  * po/cs.po:
    - added Czech translation (thanks to Ondrej Sury) (ubuntu #15119)
  * po/pt_BR.po:
    - added Brasil translation (thanks to Evandro Fernandes Giovanini)
  * data/LanguageSelector.glade:
    - use stock apply, close now (ubuntu #15117)
  * LanguageSelector/LanguageSelector.py:
    - be more robust about wrong language/country codes (ubuntu #15116)
    - better support when only translation xor input support is 
      available (ubuntu #14893)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 12 Sep 2005 13:04:42 +0200

language-selector (0.0+baz20050824) breezy; urgency=low

  * UI improvements (thanks to mpt for his review)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 24 Aug 2005 19:08:08 +0200

language-selector (0.0+baz20050823) breezy; urgency=low

  * data/LanguageSelector.glade:
    - improved the wording of the short summary
    - added a icon for the main window
  * new icon
  * always check if the language packs are actually installable
    before calling synpatic

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 23 Aug 2005 20:16:37 +0200

language-selector (0.0+baz20050822) breezy; urgency=low

  * removed ubuntu branding (ubuntu #13503)
  * give a brief description what language-selector does in the 
    main window

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 22 Aug 2005 13:42:55 +0200

language-selector (0.0+baz20050819.2) breezy; urgency=low

  * fix a bug when sometimes a non-utf8 locale is written

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 19 Aug 2005 17:20:37 +0200

language-selector (0.0+baz20050819) breezy; urgency=low

  * check if the user has installed language-pack but not
    updated to the new language-{gnome,kde} yet

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 19 Aug 2005 11:26:36 +0200

language-selector (0.0+baz20050811) breezy; urgency=low

  * typo in source fix (thanks to seb128 for noticing)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 11 Aug 2005 16:15:06 +0200

language-selector (0.0+baz20050808) breezy; urgency=low

  * make it work against the new python-apt API
  * ported to the new langpack structure

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  8 Aug 2005 11:15:27 +0200

language-selector (0.0+baz20050614) breezy; urgency=low

  * fix a bug in the Macedonia country data entry
  * support l10n now
  * added german translation

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 14 Jun 2005 12:51:16 +0200

language-selector (0.0+baz20050609) breezy; urgency=low

  * depends on python-glade2 now (ubuntu #11675)
  * don't file if no /etc/enviroment is present (ubuntu #11676)
  * sort the list by language names (ubuntu #11677)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  9 Jun 2005 23:06:29 +0200

language-selector (0.0+baz20050531) breezy; urgency=low

  * Initial Release.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 31 May 2005 16:16:16 +0200

=== debian/control ===
Source: language-selector
Section: admin
Priority: optional
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends: debhelper (>= 4.0.0), python, python-dev
Standards-Version: 3.6.1.1

Package: language-selector
Architecture: all
Depends: python, ${shlibs:Depends}, python2.4-gtk2, python2.4-glade2, python2.4-apt (>= 0.6.12), synaptic
Description: Language selector for ubuntu linux
 This package let you change and install language packs
 in ubuntu linux.

## language-selector 0.1.1

=== po/Makefile ===

PO_FILES := $(wildcard *.po)

update-po: language-selector.pot $(patsubst %.po,%.mo,$(wildcard *.po))
	# update the po files 
	for f in $(PO_FILES); do \
		intltool-update -r $${f%.po}  -g language-selector ; \
	done

language-selector.pot:
	intltool-update -p -g language-selector

%.mo : %.po
	mkdir -p mo/$(subst .po,,$<)/LC_MESSAGES/ 
	msgfmt $< -o mo/$(subst .po,,$<)/LC_MESSAGES/language-selector.mo

=== debian/changelog ===
language-selector (0.1.1) breezy-updates; urgency=low

  * data/language-selector.desktop:
    - updated desktop file translations
  * exit properly on window-manager delete events (and release
    package manager lock this way properly)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 10 Oct 2005 13:46:17 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	./setup.py build

	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	./setup.py clean --all
	find . -name "*.so" -exec rm {} \;
	find . -name "*.o" -exec rm {} \;
	find . -name "*.pyc" -exec rm {} \;

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/language-selector.
	./setup.py install --prefix=$(CURDIR)/debian/language-selector/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_python
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


arch-build:
	rm -rf debian/arch-build
	mkdir -p debian/arch-build/language-selector-$(DEBVER)
	baz inventory -s | xargs cp -a --parents --target=debian/arch-build/language-selector-$(DEBVER)
	(cd debian/arch-build/language-selector-$(DEBVER); $(DEB_BUILD_PROG))


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## language-selector 0.1.20

=== data/Makefile ===

DESKTOP_FILES := $(patsubst %.desktop.in,%.desktop,$(wildcard *.desktop.in))

all: countries.h languages.h $(DESKTOP_FILES)

countries.h: countries
	awk '{FS=":"; if ($$1 != "#" && $$4 != "") print "const char *s=_(\""$$4"\");"; }' $<  > $@


languages.h: languages
	awk '{FS=":"; if ($$1 != "#" && $$2 != "") print "const char *s=_(\""$$2"\");"; }' $< > $@

%.desktop: %.desktop.in 
	intltool-merge -d ../po $< $@

=== po/Makefile ===
--- 
+++ 
@@ -3,9 +3,10 @@
 
 update-po: language-selector.pot $(patsubst %.po,%.mo,$(wildcard *.po))
 	# update the po files 
-	for f in $(PO_FILES); do \
-		intltool-update -r $${f%.po}  -g language-selector ; \
-	done
+	#for f in $(PO_FILES); do \
+	#	intltool-update -r $${f%.po}  -g language-selector ; \
+	#done
+	intltool-update -r $${f%.po}  -g language-selector ; \
 
 language-selector.pot:
 	intltool-update -p -g language-selector

=== debian/changelog ===
language-selector (0.1.20) dapper; urgency=low

  * updated the desktop file translations (for kde that
    has no gettext support for its desktop files)
  * LanguageSelector/qt/QtLanguageSelector.py:
    - don't explode if no locales are generated on the system 
      (Ubuntu: #43556)
  * fontconfig/zh_{TW,HK,SG}:
    - apply the same test-magic as in zh_CN (ubuntu: #44305)
  * LanguageSelector/gtk/GtkLanguageSelector.py:
    - added "-n" option to ignore the check for missing packages 
      for full language support (ubuntu: #37568)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 16 May 2006 19:00:44 +0200

language-selector (0.1.19) dapper; urgency=low

  * fix FTBFS because of missing intltool dependency

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  2 May 2006 16:01:19 +0200

language-selector (0.1.18) dapper; urgency=low

  * LanguageSelector/LocaleInfo.py:
    - only return the region/counrty when more than one region exists
  * LanguageSelector/qt/QtLanguageSelector.ui:
    - renamed "ok", "cancel" -> "Apply,"close" (ubuntu: #37065)
  * fontconfig/zh_CN:
    - updated fontconfig magic (thanks to Jiahua Huang, ubuntu: 42549)
  * po/POTFILES.in: added missing files
  * data/LanguageSelector.glade: removed obsolete tooltip (ubuntu: 40823)
  * i18n fix (ubuntu #41978)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  2 May 2006 12:27:57 +0200

language-selector (0.1.17) dapper; urgency=low

  * fontconfig/ko_KR.po: 
    - updated to the latest version (thanks to the Korean language-team!)
      (ubuntu: #37410)
  * LanguageSelector/LangCache.py:
    - update the openoffice detection (ubuntu: 38717)
    - purge langpacks on delete

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 11 Apr 2006 10:10:33 +0200

language-selector (0.1.16) dapper; urgency=low

  * LanguageSelector/LangCache.py: fix the detection for langpack-kde

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sun,  2 Apr 2006 10:44:05 +0200

language-selector (0.1.15) dapper; urgency=low

  * fontconfig/ja_JP: updated to the latest version from Jun Kobayashi  
  * fontconfig-voodoo: added "--current" and minor fixes
  * language-selector-qt uses adept_batch now to install stuff
  * LanguageSelector/LanguageSelector.py: fix a bug in the fontconfig-voodoo
    setup
  * qt-language-selector desktop file fix a double entry (#36135)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 27 Mar 2006 10:48:28 +0200

language-selector (0.1.14) dapper; urgency=low

  * reload kdm after langauges got installed
  * fix version of Replace for langauge-selector-common

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 22 Mar 2006 10:35:28 +0100

language-selector (0.1.13) dapper; urgency=low

  * add a qt fontend 
  * build langauge-selector-common, language-selector-qt now
  * only show a single row for both langauge-pack and language-support
  * fix typo in ko_KR fontconfig voodoo file (ubuntu: #35817)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 21 Mar 2006 14:48:05 +0100

language-selector (0.1.12) dapper; urgency=low

  * debian/dirs: remove bogus dir (ubuntu: #35673)
  * fix the import in fontconfig-voodoo to not throw exceptions
    when no X is available (ubuntu: #35481)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 20 Mar 2006 10:19:07 +0100

language-selector (0.1.11) dapper; urgency=low

  * fontconfig/ko_KR: new version from the ubuntu-ko team (thanks!)
  * fontconfig/jp_JP: disable embedded bitmaps for japanese, thanks
    to Jun Kobayashi (ubuntu: #35567)
  * fontconfig/zh_SG: added new configuration (based on zh_CN)
  * fontconfig-voodoo: add more missing options 
    (--list, --set, --quiet, --auto, --force)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sun, 19 Mar 2006 22:06:49 +0100

language-selector (0.1.10) dapper; urgency=low

  * po/fi.po: added Finnish translation (thanks to Timo Jyrinki)
  * do fontconfig-voodoo setup for CJK languages

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 17 Mar 2006 11:03:17 +0000

language-selector (0.1.9) dapper; urgency=low

  * po/pt_BR.po: updated translation (thanks to
    Carlos Eduardo Pedroza Santiviago)
  * data/gnome-language-selector.desktop.in:
    - use X-Ubuntu-Gettext-Domain
  * LanguageSelector/LanguageSelector.py:
    - set synaptic progress windows as transient for language-selector

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 24 Feb 2006 11:13:27 +0100

language-selector (0.1.8) dapper; urgency=low

  * use X-KDE-SubstituteUID=true in desktop file
  * typo fix
  * follow localechooser when writing LANGUAGE information (#26435)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  7 Feb 2006 23:38:42 +0100

language-selector (0.1.7) dapper; urgency=low

  * typos fixed (#29400)
  * don't close while the cache is read
  * be careful to not touch packages that have no candidateVersion (#6506)
  * register itself as a dialog (like the desktop preferences) (#25698)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  7 Feb 2006 10:12:36 +0100

language-selector (0.1.6) dapper; urgency=low

  * data/LanguageSelector.glade, LanguageSelector/LanguageSelector.py:
    - more HIG compliant by having "Apply, Cancel, Ok"
    - have a seperate progress window
    - wording improvments
    - add an information symbol next to the text
    (thanks to Sebasitan Heinlein, Ubuntu: #25203)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 16 Jan 2006 11:45:40 +0100

language-selector (0.1.5) dapper; urgency=low

  * print a useful error message and exit if the apt cache is broken 
    on the system, re-read the apt cache after installing missing
    packages at startup (ubuntu #21131)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 19 Dec 2005 12:29:28 +0100

language-selector (0.1.4) dapper; urgency=low

  * use gksu in desktop file to gain root and added X-KDE-SubstituteUID 
    (HideAdminTools spec)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  9 Dec 2005 17:14:37 +0100

language-selector (0.1.3) dapper; urgency=low



=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-
+PKG=language-selector
 DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
 DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)
 
@@ -47,11 +47,11 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	#-$(MAKE) clean
 	./setup.py clean --all
 	find . -name "*.so" -exec rm {} \;
 	find . -name "*.o" -exec rm {} \;
 	find . -name "*.pyc" -exec rm {} \;
+	find . -name "*.desktop" -exec rm {} \;
 
 	dh_clean 
 
@@ -62,7 +62,8 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/language-selector.
-	./setup.py install --prefix=$(CURDIR)/debian/language-selector/usr
+	./setup.py install --prefix=$(CURDIR)/debian/tmp/usr
+	(cd po; intltool-update -p -g language-selector)
 
 
 # Build architecture-independent files here.
@@ -76,7 +77,9 @@
 	dh_installchangelogs 
 	dh_installdocs
 	dh_installexamples
-#	dh_install
+	# the order of the dh_installs is important (i.e. the frontends
+	# must be done before the -common)
+	dh_install --sourcedir=debian/tmp 
 #	dh_installmenu
 #	dh_installdebconf	
 #	dh_installlogrotate
@@ -101,9 +104,9 @@
 
 arch-build:
 	rm -rf debian/arch-build
-	mkdir -p debian/arch-build/language-selector-$(DEBVER)
-	baz inventory -s | xargs cp -a --parents --target=debian/arch-build/language-selector-$(DEBVER)
-	(cd debian/arch-build/language-selector-$(DEBVER); $(DEB_BUILD_PROG))
+	mkdir -p debian/arch-build/$(PKG)-$(DEBVER)
+	tar -c --exclude=arch-build --no-recursion -f - `bzr inventory` | (cd debian/arch-build/$(PKG)-$(DEBVER);tar xf -)
+	(cd debian/arch-build/$(PKG)-$(DEBVER) && $(DEB_BUILD_PROG))
 
 
 binary: binary-indep binary-arch

## language-selector 0.1.20.1

=== debian/changelog ===
language-selector (0.1.20.1) dapper-updates; urgency=low

  * LanguageSelector/LangCache.py,
    LanguageSelector/gtk/GtkLanguageSelector.py:
    - make "kdelibs-data" the key-dependency for missng language-pack-kde 
      detection

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  3 Aug 2006 10:02:14 +0200

=== debian/control ===
Source: language-selector
Section: admin
Priority: optional
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends: debhelper (>= 4.0.0), python, python-dev, intltool
Standards-Version: 3.6.1.1

Package: language-selector
Architecture: all
Depends: language-selector-common (= ${Source-Version}), ${shlibs:Depends}, python, python2.4-gtk2, python2.4-glade2, python2.4-apt (>= 0.6.12), synaptic
Description: Language selector for ubuntu linux
 This package let you change and install language packs
 in ubuntu linux.
 .
 This package contains the gtk frontend.

Package: language-selector-qt
Architecture: all
Depends: language-selector-common (= ${Source-Version}), ${shlibs:Depends}, python, python2.4-qt3, adept (>= 1.91)
Replaces: language-selector (<< 0.1.13)
Description: Language selector for kubuntu linux
 This package let you change and install language packs
 in ubuntu linux.
 . 
 This package contains the qt frontend.

Package: language-selector-common
Architecture: all
Depends: python, ${shlibs:Depends}
Replaces: language-selector (<< 0.1.13)
Description: Language selector for ubuntu linux
 This package let you change and install language packs
 in ubuntu linux.
 . 
 This package contains the common part of language-selector

## language-selector 0.1.30

=== LanguageSelector/qt/Makefile ===


QtLanguageSelectorGUI.py: QtLanguageSelectorGUI.ui
	# this makes baby jesus cry 
	# (but we want gettext() for the i18n strings, not __tr() to 
	# make intltool-update happy
	echo "import gettext" > $@
	pyuic -tr gettext.gettext $< >> $@

=== debian/changelog ===
language-selector (0.1.30) edgy; urgency=low

  * LanguageSelector/LocaleInfo.py:
    - deal with missing LANGUAGE in /etc/environment and fall back
      to LANG then (lp: #49334)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 16 Oct 2006 18:36:51 +0200

language-selector (0.1.29) edgy; urgency=low

  * fontconfig/zh_{CN,HK,SG,TW}:
    - check if the font has no bold typeface and if not 
      do synthetic emboldening (lp: #64294)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 16 Oct 2006 14:36:39 +0200

language-selector (0.1.28) edgy; urgency=low

  * fontconfig/ko_KR.po:
    - updated to match font renaming for ttf-alee (lp: #64796)
  * LanguageSelector/LanguageSelector.py:
    - updated /etc/default/locale as well when setting a new
      language (lp: #64569)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  9 Oct 2006 14:36:58 +0200

language-selector (0.1.27) edgy; urgency=low

  * LanguageSelector/LangCache.py:
    - hide python-apt future warnings
  * more exact checking for missing langpacks (lp: #63034)
  * don't set a fontconfig symlink if we have no configuration
    and deal with newly added fontconfig fragments (lp: #62869)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  5 Oct 2006 15:38:17 +0200

language-selector (0.1.26) edgy; urgency=low

  * Add a ka_GE fontconfig fragment

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Thu, 28 Sep 2006 22:39:23 +0100

language-selector (0.1.25) edgy; urgency=low

  * debian/control:
    - added missing python-apt dependency (lp: #59773)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 11 Sep 2006 13:34:26 +0200

language-selector (0.1.24) edgy; urgency=low

  [Raphael Pinson]
  * Add support for sword-language-pack-* packages in
    LanguageSelector/LangCache.py. 
  [Michael Vogt]
  * add DontShow/ShowOnlyIn lines to the desktop files to make sure
    that we don't display two language-selectors (lp: #55170)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 29 Aug 2006 09:43:48 +0200

language-selector (0.1.23) edgy; urgency=low

  * data/languagelist:
    - don't fallback from en_US to en_GB (lp: #10822)
    - added Bhutanese (lp: #56966)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 24 Aug 2006 15:01:50 +0200

language-selector (0.1.22) edgy; urgency=low

  * applied patches from danilo (at) kvota.net:
    - fix incorrect display if no country is given (#55475)
    - fix serbian entries (#55476)
    - iso-codes for translations of language and country names (#55483)
  * data/Makefile:
    - removed the generation of pot entries for the languages
  * debian/control:
    - depend on iso-codes for the translations
    - updated the python dependencies to reflect the python transition

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  7 Aug 2006 15:24:34 +0200

language-selector (0.1.21) edgy; urgency=low

  * fontconfig/zh_TW:
    - updated, thanks to Lu, Chao-Ming (Tetralet)
  * LanguageSelector/LangCache.py:
    - change the key-dependencies for kde, gnome to
      "kdelibs-data", "libgnome2-common" (thanks to Kamion)
  * fix code duplication (yeah!)
  * debian/control:
    - updated the python dependencies

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  3 Aug 2006 10:33:40 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: language-selector
 Architecture: all
-Depends: language-selector-common (= ${Source-Version}), ${shlibs:Depends}, python, python2.4-gtk2, python2.4-glade2, python2.4-apt (>= 0.6.12), synaptic
+Depends: language-selector-common (= ${Source-Version}), ${shlibs:Depends}, python, python-gtk2, python-glade2, python-apt (>= 0.6.12), synaptic
 Description: Language selector for ubuntu linux
  This package let you change and install language packs
  in ubuntu linux.
@@ -16,7 +16,7 @@
 
 Package: language-selector-qt
 Architecture: all
-Depends: language-selector-common (= ${Source-Version}), ${shlibs:Depends}, python, python2.4-qt3, adept (>= 1.91)
+Depends: language-selector-common (= ${Source-Version}), ${shlibs:Depends}, python, python-qt3, adept (>= 1.91), python-apt
 Replaces: language-selector (<< 0.1.13)
 Description: Language selector for kubuntu linux
  This package let you change and install language packs
@@ -26,7 +26,7 @@
 
 Package: language-selector-common
 Architecture: all
-Depends: python, ${shlibs:Depends}
+Depends: python, ${shlibs:Depends}, iso-codes
 Replaces: language-selector (<< 0.1.13)
 Description: Language selector for ubuntu linux
  This package let you change and install language packs

## language-selector 0.2.6

=== po/Makefile ===
--- 
+++ 
@@ -1,5 +1,8 @@
+
+top_srcdir = ..
 
 PO_FILES := $(wildcard *.po)
+
 
 update-po: language-selector.pot $(patsubst %.po,%.mo,$(wildcard *.po))
 	# update the po files

=== debian/changelog ===
language-selector (0.2.6) feisty; urgency=low

  [Michael Vogt]
  * fix not installed completely alert (LP#78655)
  [Jonathan Riddell]
  * LanguageSelector/qt/QtLanguageSelectorGUI.py:
    - Fix encoding error in success norification dialogue
    - Fix error if input-all_ALL doesn't exist (LP#91329)
    - Remove some old debugging
  * LanguageSelector/gtk/GtkLanguageSelectorGUI.py:
    - Fix error if input-all_ALL doesn't exist
	
 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 30 Mar 2007 14:06:47 +0100

language-selector (0.2.5) feisty; urgency=low

  * debian/control:
    - fix the dependencies of qt-langauge-selector
  * LanguageSelector/qt/QtLanguageSelectorGUI.py:
    - include in the archive (instead of auto-generating it
      on each build)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 23 Jan 2007 15:57:10 +0100

language-selector (0.2.4) feisty; urgency=low

  * fix python dependencies
  * fix GenericName (lp: #78935)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 22 Jan 2007 16:08:53 +0100

language-selector (0.2.3) feisty; urgency=low

  * debian/language-selector-common.postinst:
    - run #DEBHELPER# earlier (lp: #80238)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 17 Jan 2007 14:22:28 +0100

language-selector (0.2.2) feisty; urgency=low

  * updated to the latest python policy (lp: #79634)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 17 Jan 2007 10:14:11 +0100

language-selector (0.2.1) feisty; urgency=low

  * Implement https://blueprints.launchpad.net/distros/ubuntu/+spec/kubuntu-feisty-language-selector in qt-language-selector
   - ports to Qt 4
   - Splits into three modes, install, uninstall and select system default
   - Launched from KControl language module, so not shown in app menu

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 11 Dec 2006 11:38:24 +0000

language-selector (0.2.0) feisty; urgency=low

  * LanguageSelector/gtk/GtkLanguageSelector.py,
    - added support to globally switch on input method support 
      (lp: #34282)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 27 Oct 2006 16:40:07 +0200

=== debian/control ===
Source: language-selector
Section: admin
Priority: optional
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends: debhelper (>= 5.0.38), python-dev, intltool, python-central (>= 0.5.6)
XS-Python-Version: current
Standards-Version: 3.7.2

Package: language-selector
Architecture: all
Depends: language-selector-common (= ${Source-Version}), ${shlibs:Depends}, ${python:Depends}, python-gtk2, python-glade2, python-apt (>= 0.6.12), synaptic
XB-Python-Version: ${python:Versions}
Description: Language selector for ubuntu linux
 This package let you change and install language packs
 in ubuntu linux.
 .
 This package contains the gtk frontend.

Package: language-selector-qt
Architecture: all
Depends: language-selector-common (= ${Source-Version}), ${shlibs:Depends}, ${python:Depends}, python-qt4, adept (>= 1.91), python-apt
Replaces: language-selector (<< 0.1.13)
XB-Python-Version: ${python:Versions}
Description: Language selector for kubuntu linux
 This package let you change and install language packs
 in ubuntu linux.
 . 
 This package contains the qt frontend.

Package: language-selector-common
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, iso-codes
Replaces: language-selector (<< 0.1.13)
XB-Python-Version: ${python:Versions}
Description: Language selector for ubuntu linux
 This package let you change and install language packs
 in ubuntu linux.
 . 
 This package contains the common part of language-selector

=== debian/rules ===
--- 
+++ 
@@ -94,7 +94,7 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_python
+	dh_pycentral
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## language-selector 0.2.9

=== data/Makefile ===

DESKTOP_FILES := $(patsubst %.desktop.in,%.desktop,$(wildcard *.desktop.in))

all: $(DESKTOP_FILES)


%.desktop: %.desktop.in 
	intltool-merge -d ../po $< $@

=== debian/changelog ===
language-selector (0.2.9) gutsy; urgency=low

  * fontconfig/zh_{CN,HK,SG,TW}:
    - move AR PL UMing TW, AR PL ShanHeiSun Uni and WenQuanYi Bitmap Song
      up in the fontconfig priority (thanks to Arne Goetje)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 05 Oct 2007 16:17:04 +0200

language-selector (0.2.8) gutsy; urgency=low

  * fontconfig/*:
    - updated and unified 
  * fontconfig/common/CJK_aliases:
    - added CJK_aliases to match MS font names
  (thanks to Arne Goetje)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 28 Sep 2007 11:12:53 +0200

language-selector (0.2.7) gutsy; urgency=low

  * fontconfig/zh_CN:
    - updated based on the input of ZhengPeng Hou and
      Arne Goetje (thanks!)
  * fontconfig/ja_JP:
    - fix hinting, thanks to  Fumihito YOSHIDA
      (LP: #139738)
  * LanguageSelector/LocaleInfo.py:
    - fix crash in locale output parsing (LP: #139018)
  * LanguageSelector/gtk/GtkLanguageSelector.py:
    - do not fail if the system default language is unknown 
      (LP: #128168)
    - gray out complex charackter support if im-switch is
      not available (LP: #111311)
    - set reboot required flag when new packages got installed 
      (LP: #127356)
  * LanguageSelector/qt/QtLanguageSelector.py:
    - do not crash on broken cache (LP: #108238)
    - gray out complex charackter support if im-switch is
      not available (LP: #111311)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 27 Sep 2007 12:47:36 +0200

=== debian/rules ===
--- 
+++ 
@@ -64,7 +64,9 @@
 	# Add here commands to install the package into debian/language-selector.
 	./setup.py install --prefix=$(CURDIR)/debian/tmp/usr
 	(cd po; intltool-update -p -g language-selector)
-
+	# move CJK_aliases into the right place
+	install -d $(CURDIR)/debian/tmp/etc/fonts/conf.d
+	mv $(CURDIR)/debian/tmp/usr/share/language-selector/fontconfig/CJK_aliases $(CURDIR)/debian/tmp/etc/fonts/conf.d
 
 # Build architecture-independent files here.
 binary-indep: build install

## language-selector 0.3.4

=== po/Makefile ===
--- 
+++ 
@@ -12,7 +12,10 @@
 	intltool-update -r $${f%.po}  -g language-selector ; \
 
 language-selector.pot:
+	intltool-extract --type=gettext/rfc822deb  ../data/incomplete-language-support-gnome.note.in
+	intltool-extract --type=gettext/rfc822deb  ../data/incomplete-language-support-qt.note.in
 	intltool-update -p -g language-selector
+	
 
 %.mo : %.po
 	mkdir -p mo/$(subst .po,,$<)/LC_MESSAGES/

=== debian/changelog ===
language-selector (0.3.4) hardy; urgency=low

  * LanguageSelector/LangCache.py:
    - drop special case handling that is now handled via 
      language-support-translations-$lang (LP: #218588)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 17 Apr 2008 14:39:39 +0200

language-selector (0.3.3) hardy; urgency=low

  [ Arne Goetje ]
  * added .note files for update-notifier do be displayed in 
    case the language-support is not complete
  
  [ Michael Vogt ]
  * make the .note files translateable
  * make the build more robust

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 15 Apr 2008 18:23:41 +0200

language-selector (0.3.2) hardy; urgency=low

  [ Michael Vogt ]
  * LanguageSelector/qt/QtLanguageSelector.py:
    - fix another charackter encoding problem (LP: #203335)
    - fix warning dialog if we have broken packages
  
  [ Arne Goetje ]
  * fixes in the Japanese font configuration (LP: #202731)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 18 Mar 2008 11:07:17 +0100

language-selector (0.3.1) hardy; urgency=low

  [ Michale Vogt ]
  * LanguageSelector/gtk/GtkLanguageSelector.py
    - use absolute path when calling gksu (LP: #194166)
  * data/language-selector.desktop.in:
    - remove X-KDE-SubstituteUID
  * fix icon inconsistency (LP: #164316)
  * LanguageSelector/qt/QtLanguageSelector.py:
    - fix charackter encoding in UI (LP: #186157)
  * data/Language-selector.glade:
    - make the main wndow type "Normal" (LP: #148912)

  [ Arne Goetje ]
  * debian/rules: remove dh_link for locale specific fontconfig files
  * LanguageSelector/FontConfig.py: link all locale specific fontconfig files
    only when the locale is called. (LP: #199557)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 12 Mar 2008 13:06:16 +0100

language-selector (0.3.0) hardy; urgency=low

  [ Michael Vogt ]
  * run gnome-language-selector as non-root by default
  * make the input method configuration a per-user setting
  * fix dialog default size

  [ Arne Goetje ]
  * split up the fontconfig configuration files according to recent fontconfig
    rules. Install all fontconfig files in /etc/fonts/conf.avail/ and link
    those which are needed to /etc/fonts/conf.d/ .
  * data/languages: split up the entries for Chinese (simplified) and Chinese
    (traditional) into Chinese (China), Chinese (Hong Kong), Chinese
    (Singapore) and Chinese (Taiwan), to reflect the different locales and
    dialects.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 06 Mar 2008 17:35:25 +0100

language-selector (0.2.10) hardy; urgency=low

  * debian/control:
    - add XS-Vcs-Bzr header
  * switch over to use the iso-codes xml files and fix i18n issues
  * remove no longer needed data/countries, data/languages

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 25 Jan 2008 15:13:07 +0000

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: debhelper (>= 5.0.38), python-dev, intltool, python-central (>= 0.5.6)
 XS-Python-Version: current
 Standards-Version: 3.7.2
+XS-Vcs-Bzr: http://bazaar.launchpad.net/%7Eubuntu-core-dev/language-selector/ubuntu/
 
 Package: language-selector
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -52,7 +52,7 @@
 	find . -name "*.o" -exec rm {} \;
 	find . -name "*.pyc" -exec rm {} \;
 	find . -name "*.desktop" -exec rm {} \;
-
+	find . -name "*.note" -exec rm {} \;
 	dh_clean 
 
 install: build
@@ -64,9 +64,6 @@
 	# Add here commands to install the package into debian/language-selector.
 	./setup.py install --prefix=$(CURDIR)/debian/tmp/usr
 	(cd po; intltool-update -p -g language-selector)
-	# move CJK_aliases into the right place
-	install -d $(CURDIR)/debian/tmp/etc/fonts/conf.d
-	mv $(CURDIR)/debian/tmp/usr/share/language-selector/fontconfig/CJK_aliases $(CURDIR)/debian/tmp/etc/fonts/conf.d
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -93,6 +90,8 @@
 #	dh_installinfo
 	dh_installman
 	dh_link
+	dh_link -planguage-selector-common etc/fonts/conf.avail/30-cjk-aliases.conf \
+		etc/fonts/conf.d/30-cjk-aliases.conf
 	dh_strip
 	dh_compress
 	dh_fixperms

## language-selector 0.3.4netbook1

=== data/Makefile ===

DESKTOP_FILES := $(patsubst %.desktop.in,%.desktop,$(wildcard *.desktop.in))
NOTE_FILES := $(patsubst %.note.in,%.note,$(wildcard *.note.in))

all: $(DESKTOP_FILES) $(NOTE_FILES)

%.desktop: %.desktop.in 
	intltool-merge -d ../po $< $@

%.note: %.note.in
	intltool-merge --rfc822deb-style ../po $< $@

=== debian/changelog ===
language-selector (0.3.4netbook1) netbook-common; urgency=low

  * 01_synaptic_breaks_in_italian.patch: replace apostrophe with accent grave 
    in transalted string passed to synaptic with --finish-str to avoid silent
    failure to install lang packs. (LP: #364159)
  * Also set the package up for quilt

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Fri, 24 Apr 2009 14:54:29 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
-Build-Depends: debhelper (>= 5.0.38), python-dev, intltool, python-central (>= 0.5.6)
+Build-Depends: debhelper (>= 5.0.38), python-dev, intltool, python-central (>= 0.5.6), quilt
 XS-Python-Version: current
 Standards-Version: 3.7.2
 XS-Vcs-Bzr: http://bazaar.launchpad.net/%7Eubuntu-core-dev/language-selector/ubuntu/

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+include /usr/share/quilt/quilt.make
 
 PKG=language-selector
 DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
@@ -32,7 +34,7 @@
 
 build: build-stamp
 
-build-stamp: configure-stamp 
+build-stamp: $(QUILT_STAMPFN) configure-stamp 
 	dh_testdir
 
 	# Add here commands to compile the package.
@@ -41,7 +43,7 @@
 
 	touch build-stamp
 
-clean: 
+clean: unpatch 
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp

## language-selector 0.3.17

=== debian/changelog ===
language-selector (0.3.17) intrepid; urgency=low

  * LanguageSelector/LanguageSelector.py:
    - ignore "security.ubuntu.com" when checking if there are repositories
      that contain language-packages (LP: #135752)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 27 Oct 2008 10:29:07 +0100

language-selector (0.3.16) intrepid; urgency=low

  [ Michael Vogt ]
  * LanguageSelector/LanguageSelector.py:
    - add verifyPackageLists() method that checks if there are
      actually packages available that are not on CD 
  * LanguageSelector/gtk/GtkLanguageSelector.py:
    - offer to update package list if no package information
      is available (LP: #135752, LP: #277526)
  * LanguageSelector/qt/QtLanguageSelector.py:
    - offer to update package list if no package information
      is available (just like in the gtk frontend)
  * data/LanguageSelector.glade:
    - hide the details by default

  [ Colin Watson ]
  * Rearrange fields in restart_session_required.note.in to avoid a broken
    Name field there as well (LP: #287573).

  [ Jonathan Riddell ]
  * LanguageSelector/qt/QtLanguageSelector.py:
    - imswitch should select scim-bridge, not scim

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 22 Oct 2008 16:19:30 +0200

language-selector (0.3.15) intrepid; urgency=low

  * Rearrange fields in incomplete-language-support-*.note.in so that
    intltool-merge stops forgetting to newline-separate translations of the
    Name field (LP: #287046).
  * Use intltool-debian's version of intltool-merge to generate
    incomplete-language-support-*.note, since intltool fails to generate
    translated Description fields.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 21 Oct 2008 18:16:29 +0100

language-selector (0.3.14) intrepid; urgency=low

  * Update translations from Launchpad (see LP #277526).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 19 Oct 2008 09:03:12 +0100

language-selector (0.3.13) intrepid; urgency=low

  [ Jonathan Riddell ]
  * QtLanguageSelector.py, fix unicode error

  [ David Gaarenstroom ]
  * Fix _ function in Qt frontend (LP: #279869).

  [ Colin Watson ]
  * Fix excessive capitalisation of "ubuntu" in e-mail addresses and URLs in
    debian/control.

  [ M. Vefa Bicakci ]
  * Fix handling of Unicode language names in Qt frontend (LP: #266971).

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 Oct 2008 10:47:37 +0100

language-selector (0.3.12) intrepid; urgency=low

  * Port verifyInstalledLangPacks to Qt frontend

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 Oct 2008 00:19:44 +0100

language-selector (0.3.11) intrepid; urgency=low

  * Bugfix: pull extra translation packages when language-packs are going to
    be installed. (-gnome, -kde, etc.)

 -- Arne Goetje <arne@ubuntu.com>  Fri, 05 Sep 2008 11:46:34 +0800

language-selector (0.3.10) intrepid; urgency=low

  * Fix QtLanguageSelector.py for Arne's changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Sep 2008 22:48:51 +0100

language-selector (0.3.9) intrepid; urgency=low

  * The details checkboxes can only be available when a language is selected
    and the packages exists in the archive. (LP: #262764)

 -- Arne Goetje <arne@ubuntu.com>  Wed, 03 Sep 2008 16:03:55 +0800

language-selector (0.3.8) intrepid; urgency=low

  * Depend on install-package not adept

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 28 Aug 2008 13:49:52 +0100

language-selector (0.3.7) intrepid; urgency=low

  * use update-notifier to display "restart session required" message
  * session restart is enough to apply "complex character support" (LP: #200197)
  * add a "details" section to gnome-language-selector to let users install
    only a subset of available laguage-support packages for a given language.
    (LP: #184028)
  * rewording in gnome-language-selector UI (LP: #236584)

 -- Arne Goetje <arne@ubuntu.com>  Wed, 27 Aug 2008 21:46:27 +0800

language-selector (0.3.6) intrepid; urgency=low

  * Use install-package instead of old adept_batch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 26 Aug 2008 18:51:34 +0100

language-selector (0.3.5) intrepid; urgency=low

  * Port to pyKDE app
  * Fix upgrade hook for KDE frontend

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 22 Aug 2008 22:49:35 +0100

=== debian/control ===
Source: language-selector
Section: admin
Priority: optional
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends: debhelper (>= 5.0.38), python-dev, intltool, intltool-debian, python-central (>= 0.5.6)
XS-Python-Version: current
Standards-Version: 3.7.2
XS-Vcs-Bzr: http://bazaar.launchpad.net/%7Eubuntu-core-dev/language-selector/ubuntu/

Package: language-selector
Architecture: all
Depends: language-selector-common (= ${Source-Version}), ${shlibs:Depends}, ${python:Depends}, python-gtk2, python-glade2, python-apt (>= 0.6.12), synaptic
XB-Python-Version: ${python:Versions}
Description: Language selector for Ubuntu Linux
 This package let you change and install language packs
 in Ubuntu Linux.
 .
 This package contains the gtk frontend.

Package: language-selector-qt
Architecture: all
Depends: language-selector-common (= ${Source-Version}), ${shlibs:Depends}, ${python:Depends}, python-qt4, install-package, python-apt
Replaces: language-selector (<< 0.1.13)
XB-Python-Version: ${python:Versions}
Description: Language selector for Kubuntu Linux
 This package let you change and install language packs
 in Ubuntu Linux.
 . 
 This package contains the qt frontend.

Package: language-selector-common
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, iso-codes
Replaces: language-selector (<< 0.1.13)
XB-Python-Version: ${python:Versions}
Description: Language selector for Ubuntu Linux
 This package let you change and install language packs
 in Ubuntu Linux.
 . 
 This package contains the common part of language-selector

## language-selector 0.4.2.2

=== debian/changelog ===
language-selector (0.4.2.2) jaunty; urgency=low

  * Final import of translations from Rosetta for NonLangPackFreeze

 -- Arne Goetje <arne@ubuntu.com>  Fri, 10 Apr 2009 09:35:11 +0800

language-selector (0.4.2.1) jaunty; urgency=low

  * LanguageSelector/LanguageSelector.py:
    - do not crash if no default language can be read

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 23 Mar 2009 18:18:42 +0100

language-selector (0.4.2) jaunty; urgency=low

  * UI change: 
    - move the "Changes will take effect..." message down and rename
      it to "All changes will take effect..."
    - center the upper part of the main UI window

 -- Arne Goetje <arne@ubuntu.com>  Wed, 04 Mar 2009 00:33:34 +0800

language-selector (0.4.1) jaunty; urgency=low

  * debian/rules:
    - update for the new python policy
  * better key support in langauge treeview (LP: #276737),
    thanks to István Nyitrai
  * LanguageSelector/LocaleInfo.py:
    - fix crash (LP: #336425)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 02 Mar 2009 17:22:23 +0100

language-selector (0.4.0) jaunty; urgency=low

  * gnome-language-selector: GUI overhaul (for details see: 
    https://wiki.ubuntu.com/JauntyLanguageSelectorImprovements )
  * allow for different language settings per user
  * for installed languages use the native language and country names in 
    the comboboxes (LP: #241317)
  * get rid of the reboot / session restart notification popup. This 
    information is now integrated into the main UI. (LP: #260380)

 -- Arne Goetje <arne@ubuntu.com>  Tue, 24 Feb 2009 01:40:14 +0800

language-selector (0.3.21) jaunty; urgency=low

  * suggest to install full language support instead of
    just basic translations (thanks to Timo Jyrinki)
    LP: #311228

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 13 Feb 2009 17:22:55 +0100

language-selector (0.3.20) jaunty; urgency=low

  [ Michael Vogt ]
  * LanguageSelector/LangCache.py, LanguageSelector/LanguageSelector.py:
    - move verifyPackageLists into the cache and rename it
      to the havePackageLists property
  * LanguageSelector/LocaleInfo.py:
    - honor /etc/default/locale as well
  * LanguageSelector/gtk/GtkLanguageSelector.py,
    LanguageSelector/qt/QtLanguageSelector.py:
    - check if we have a language-pack for the given default language 
      (LP: #289165)
  * LanguageSelector/LanguageSelector.py:
    - move the check what language packs are missing into common 
      code
  * debian/rules:
    - remove arch-build target, bzr-buildpackage is the way to
      build it

  [ Colin Watson ]
  * Fix typo (availablity -> availability).

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 15 Dec 2008 15:00:50 +0100

## language-selector 0.4.2.3

=== data/Makefile ===
--- 
+++ 
@@ -8,4 +8,4 @@
 	intltool-merge -d ../po $< $@
 
 %.note: %.note.in
-	intltool-merge --rfc822deb-style ../po $< $@
+	/usr/share/intltool-debian/intltool-merge --rfc822deb-style ../po $< $@

=== LanguageSelector/qt/Makefile ===


QtLanguageSelectorGUI.py: QtLanguageSelectorGUI.ui
	# this makes baby jesus cry 
	# (but we want gettext() for the i18n strings, not __tr() to 
	# make intltool-update happy
        #no -tr option in pyuic4 - jriddell
	#echo "import gettext" > $@
	#pyuic -tr gettext.gettext $< >> $@
	pyuic4 $< >> $@

=== debian/changelog ===
language-selector (0.4.2.3) jaunty-proposed; urgency=low

  * LanguageSelector/gtk/GtkLanguageSelector.py:
    - escape "'" to workaround problem with gksu and its 
      parameter parsing (LP: #241904)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 28 Apr 2009 18:50:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: language-selector
 Section: admin
 Priority: optional
-Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
+Maintainer: Arne Goetje <arne@ubuntu.com>
 Build-Depends: debhelper (>= 5.0.38), python-dev, intltool, intltool-debian, python-central (>= 0.5.6)
 XS-Python-Version: current
 Standards-Version: 3.7.2

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-include /usr/share/quilt/quilt.make
 
 PKG=language-selector
 DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
@@ -34,7 +32,7 @@
 
 build: build-stamp
 
-build-stamp: $(QUILT_STAMPFN) configure-stamp 
+build-stamp: configure-stamp 
 	dh_testdir
 
 	# Add here commands to compile the package.
@@ -43,7 +41,7 @@
 
 	touch build-stamp
 
-clean: unpatch 
+clean: 
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
@@ -64,7 +62,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/language-selector.
-	./setup.py install --prefix=$(CURDIR)/debian/tmp/usr
+	./setup.py install --prefix=$(CURDIR)/debian/tmp/usr --install-layout=deb
 	(cd po; intltool-update -p -g language-selector)
 
 # Build architecture-independent files here.
@@ -105,12 +103,5 @@
 	dh_builddeb
 
 
-arch-build:
-	rm -rf debian/arch-build
-	mkdir -p debian/arch-build/$(PKG)-$(DEBVER)
-	tar -c --exclude=arch-build --no-recursion -f - `bzr inventory` | (cd debian/arch-build/$(PKG)-$(DEBVER);tar xf -)
-	(cd debian/arch-build/$(PKG)-$(DEBVER) && $(DEB_BUILD_PROG))
-
-
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure
